from django.contrib import admin

from backoffice.models import Reference, Authority, ReferenceType


class AuthorityAdmin(admin.ModelAdmin):
    prepopulated_fields = {"slug": ("title",)}

class ReferenceTypeAdmin(admin.ModelAdmin):
    prepopulated_fields = {"slug": ("title",)}

class ReferenceAdmin(admin.ModelAdmin):
    pass

admin.site.register(Reference)
admin.site.register(Authority)
admin.site.register(ReferenceType)